Back to top

API Documentation

Website

Overview

Website endpoints are responsible for manipulating the data for our website builder.

Create a website

Create a website
POST/websites

Example URI

POST /websites
Request
HideShow
Body
{
  "template": "light",
  "title": "Website Title",
  "attributes": {
    "biography": "Foo bar",
    "facebook_url": "http://facebook.com/foo"
  },
  "template_instance": "b151d0e2-e2ad-4264-b581-1e6b7666785c",
  "brand": "8330b77b-aa32-4e17-82c1-88caff9b979e",
  "user": "80a227b2-29a0-11e7-b636-e4a7a08e15d4"
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "f3630061-6e54-47f5-8755-de237f835888",
    "type": "website",
    "created_at": 1774173621.049472,
    "updated_at": 1774173621.050044,
    "user": {
      "type": "user",
      "username": null,
      "first_name": "Unit",
      "last_name": "Test",
      "email": "[email protected]",
      "phone_number": "+4368120265807",
      "created_at": 1493115498.770362,
      "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "address_id": null,
      "cover_image_url": null,
      "profile_image_url": null,
      "updated_at": 1774173618.747236,
      "user_status": "Active",
      "profile_image_thumbnail_url": null,
      "cover_image_thumbnail_url": null,
      "email_confirmed": true,
      "timezone": "America/Chicago",
      "user_type": "Agent",
      "deleted_at": null,
      "phone_confirmed": false,
      "is_shadow": false,
      "personal_room": null,
      "brand": null,
      "fake_email": false,
      "features": [
        "Deals"
      ],
      "last_seen_at": null,
      "email_signature": null,
      "daily_enabled": true,
      "email_quota": 30000,
      "website": null,
      "instagram": null,
      "twitter": null,
      "linkedin": null,
      "youtube": null,
      "facebook": null,
      "designation": null,
      "tiktok": null,
      "mfa_enabled": false,
      "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "current_time": "5:00 AM - Sunday Mar 22, 2026",
      "push_allowed": false,
      "agents": [
        {
          "id": "799f431d-e894-478a-99db-39309a2fba65",
          "email": "[email protected]",
          "mlsid": "00920130",
          "fax": "(972) 264-4703",
          "full_name": "Gholi Sweet",
          "first_name": "Gholi",
          "last_name": "Sweet",
          "middle_name": null,
          "phone_number": "(972) 264-4703",
          "nar_number": "797500044",
          "office_mui": "15512742",
          "status": "Active",
          "office_mlsid": "RCHT01X",
          "work_phone": "(469) 358-8080",
          "generational_name": null,
          "matrix_unique_id": "155155530",
          "updated_at": 1774173618.846213,
          "deleted_at": null,
          "created_at": 1774173618.846213,
          "mls": "NTREIS",
          "license_number": null,
          "designation": null,
          "nrds": "01053140",
          "type": "agent",
          "office_id": null,
          "secret_questions": [
            "(972) XXX-XX03",
            "jewellxxxxxxxxxxxxxal.net",
            "(469) XXX-XX80"
          ]
        }
      ],
      "last_seen_type": null,
      "active_brand": "8330b77b-aa32-4e17-82c1-88caff9b979e",
      "display_name": "Unit Test",
      "abbreviated_display_name": "Unit",
      "online_state": "Offline",
      "has_password": true
    },
    "brand": {
      "id": "8330b77b-aa32-4e17-82c1-88caff9b979e",
      "created_at": 1774173619.764496,
      "updated_at": 1774173619.764496,
      "palette": {
        "primary": "red",
        "type": "brand_palette"
      },
      "assets": {
        "type": "brand_assets"
      },
      "messages": {
        "type": "brand_messages"
      },
      "parent": {
        "id": "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
        "created_at": 1774173619.709504,
        "updated_at": 1774173619.709504,
        "palette": {
          "primary": "red",
          "type": "brand_palette"
        },
        "assets": {
          "type": "brand_assets"
        },
        "messages": {
          "type": "brand_messages"
        },
        "parent": {
          "id": "9bed9325-baa9-488d-abae-ed186ac83a0d",
          "created_at": 1774173619.024886,
          "updated_at": 1774173619.024886,
          "palette": {
            "primary": "red",
            "type": "brand_palette"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": null,
          "name": "Parent Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": null,
          "type": "brand",
          "hostnames": null,
          "member_count": 1,
          "base_url": "https://irish.rechat.com"
        },
        "name": "Parent Brand",
        "deleted_at": null,
        "training": false,
        "brand_type": "Brokerage",
        "parents": [
          "9bed9325-baa9-488d-abae-ed186ac83a0d"
        ],
        "type": "brand",
        "hostnames": null,
        "member_count": 1,
        "base_url": "https://irish.rechat.com"
      },
      "name": "Child Brand",
      "deleted_at": null,
      "training": false,
      "brand_type": "Brokerage",
      "parents": [
        "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
        "9bed9325-baa9-488d-abae-ed186ac83a0d"
      ],
      "type": "brand",
      "hostnames": null,
      "member_count": 1,
      "base_url": "https://irish.rechat.com"
    },
    "template": "light",
    "attributes": {
      "biography": "Foo bar",
      "facebook_url": "http://facebook.com/foo"
    },
    "title": "Website Title",
    "template_instance": {
      "id": "b151d0e2-e2ad-4264-b581-1e6b7666785c",
      "created_at": 1774173618.747236,
      "html": "SOME HTML",
      "file": {
        "id": "4eacc5bd-2998-4f87-a758-37483d2deba5",
        "created_at": 1774173620.961193,
        "updated_at": 1774173620.961193,
        "deleted_at": null,
        "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "path": "templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "name": "image.png",
        "public": true,
        "type": "file",
        "url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "preview_url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "mime": "image/png"
      },
      "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "branch": "http://mock-branch-url",
      "updated_at": 1774173618.747236,
      "deleted_at": null,
      "type": "template_instance"
    },
    "hostnames": [
      "adoring-hofstadter.undefined"
    ],
    "wid": "f3630061-6e54-47f5-8755-de237f835888",
    "ord": "1"
  }
}

Get a website

Get a website
GET/websites/:id

Example URI

GET /websites/:id
URI Parameters
HideShow
id
string (required) Example: f3630061-6e54-47f5-8755-de237f835888
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "f3630061-6e54-47f5-8755-de237f835888",
    "type": "website",
    "created_at": 1774173621.049472,
    "updated_at": 1774173621.050044,
    "user": {
      "type": "user",
      "username": null,
      "first_name": "Unit",
      "last_name": "Test",
      "email": "[email protected]",
      "phone_number": "+4368120265807",
      "created_at": 1493115498.770362,
      "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "address_id": null,
      "cover_image_url": null,
      "profile_image_url": null,
      "updated_at": 1774173618.747236,
      "user_status": "Active",
      "profile_image_thumbnail_url": null,
      "cover_image_thumbnail_url": null,
      "email_confirmed": true,
      "timezone": "America/Chicago",
      "user_type": "Agent",
      "deleted_at": null,
      "phone_confirmed": false,
      "is_shadow": false,
      "personal_room": null,
      "brand": null,
      "fake_email": false,
      "features": [
        "Deals"
      ],
      "last_seen_at": null,
      "email_signature": null,
      "daily_enabled": true,
      "email_quota": 30000,
      "website": null,
      "instagram": null,
      "twitter": null,
      "linkedin": null,
      "youtube": null,
      "facebook": null,
      "designation": null,
      "tiktok": null,
      "mfa_enabled": false,
      "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "current_time": "5:00 AM - Sunday Mar 22, 2026",
      "push_allowed": false,
      "agents": [
        {
          "id": "799f431d-e894-478a-99db-39309a2fba65",
          "email": "[email protected]",
          "mlsid": "00920130",
          "fax": "(972) 264-4703",
          "full_name": "Gholi Sweet",
          "first_name": "Gholi",
          "last_name": "Sweet",
          "middle_name": null,
          "phone_number": "(972) 264-4703",
          "nar_number": "797500044",
          "office_mui": "15512742",
          "status": "Active",
          "office_mlsid": "RCHT01X",
          "work_phone": "(469) 358-8080",
          "generational_name": null,
          "matrix_unique_id": "155155530",
          "updated_at": 1774173618.846213,
          "deleted_at": null,
          "created_at": 1774173618.846213,
          "mls": "NTREIS",
          "license_number": null,
          "designation": null,
          "nrds": "01053140",
          "type": "agent",
          "office_id": null,
          "secret_questions": [
            "(972) XXX-XX03",
            "jewellxxxxxxxxxxxxxal.net",
            "(469) XXX-XX80"
          ]
        }
      ],
      "last_seen_type": null,
      "active_brand": "8330b77b-aa32-4e17-82c1-88caff9b979e",
      "display_name": "Unit Test",
      "abbreviated_display_name": "Unit",
      "online_state": "Offline",
      "has_password": true
    },
    "brand": {
      "id": "8330b77b-aa32-4e17-82c1-88caff9b979e",
      "created_at": 1774173619.764496,
      "updated_at": 1774173619.764496,
      "palette": {
        "primary": "red",
        "type": "brand_palette"
      },
      "assets": {
        "type": "brand_assets"
      },
      "messages": {
        "type": "brand_messages"
      },
      "parent": {
        "id": "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
        "created_at": 1774173619.709504,
        "updated_at": 1774173619.709504,
        "palette": {
          "primary": "red",
          "type": "brand_palette"
        },
        "assets": {
          "type": "brand_assets"
        },
        "messages": {
          "type": "brand_messages"
        },
        "parent": {
          "id": "9bed9325-baa9-488d-abae-ed186ac83a0d",
          "created_at": 1774173619.024886,
          "updated_at": 1774173619.024886,
          "palette": {
            "primary": "red",
            "type": "brand_palette"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": null,
          "name": "Parent Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": null,
          "type": "brand",
          "hostnames": null,
          "member_count": 1,
          "base_url": "https://irish.rechat.com"
        },
        "name": "Parent Brand",
        "deleted_at": null,
        "training": false,
        "brand_type": "Brokerage",
        "parents": [
          "9bed9325-baa9-488d-abae-ed186ac83a0d"
        ],
        "type": "brand",
        "hostnames": null,
        "member_count": 1,
        "base_url": "https://irish.rechat.com"
      },
      "name": "Child Brand",
      "deleted_at": null,
      "training": false,
      "brand_type": "Brokerage",
      "parents": [
        "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
        "9bed9325-baa9-488d-abae-ed186ac83a0d"
      ],
      "type": "brand",
      "hostnames": null,
      "member_count": 1,
      "base_url": "https://irish.rechat.com"
    },
    "template": "light",
    "attributes": {
      "biography": "Foo bar",
      "facebook_url": "http://facebook.com/foo"
    },
    "title": "Website Title",
    "template_instance": {
      "id": "b151d0e2-e2ad-4264-b581-1e6b7666785c",
      "created_at": 1774173618.747236,
      "html": "SOME HTML",
      "file": {
        "id": "4eacc5bd-2998-4f87-a758-37483d2deba5",
        "created_at": 1774173620.961193,
        "updated_at": 1774173620.961193,
        "deleted_at": null,
        "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "path": "templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "name": "image.png",
        "public": true,
        "type": "file",
        "url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "preview_url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "mime": "image/png"
      },
      "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "branch": "http://mock-branch-url",
      "updated_at": 1774173618.747236,
      "deleted_at": null,
      "type": "template_instance"
    },
    "hostnames": [
      "adoring-hofstadter.undefined"
    ],
    "wid": "f3630061-6e54-47f5-8755-de237f835888",
    "ord": "1"
  }
}

Update a website

Update a website
PUT/websites/:id

Example URI

PUT /websites/:id
URI Parameters
HideShow
id
string (required) Example: f3630061-6e54-47f5-8755-de237f835888
Request
HideShow
Body
{
  "template": "light2",
  "title": "Website Title",
  "attributes": {
    "biography": "Foo bar",
    "facebook_url": "https://updated_facebook_url",
    "new_attribute": "value"
  },
  "user": "80a227b2-29a0-11e7-b636-e4a7a08e15d4"
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "f3630061-6e54-47f5-8755-de237f835888",
    "type": "website",
    "created_at": 1774173621.049472,
    "updated_at": 1774173621.51179,
    "user": {
      "type": "user",
      "username": null,
      "first_name": "Unit",
      "last_name": "Test",
      "email": "[email protected]",
      "phone_number": "+4368120265807",
      "created_at": 1493115498.770362,
      "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "address_id": null,
      "cover_image_url": null,
      "profile_image_url": null,
      "updated_at": 1774173618.747236,
      "user_status": "Active",
      "profile_image_thumbnail_url": null,
      "cover_image_thumbnail_url": null,
      "email_confirmed": true,
      "timezone": "America/Chicago",
      "user_type": "Agent",
      "deleted_at": null,
      "phone_confirmed": false,
      "is_shadow": false,
      "personal_room": null,
      "brand": null,
      "fake_email": false,
      "features": [
        "Deals"
      ],
      "last_seen_at": null,
      "email_signature": null,
      "daily_enabled": true,
      "email_quota": 30000,
      "website": null,
      "instagram": null,
      "twitter": null,
      "linkedin": null,
      "youtube": null,
      "facebook": null,
      "designation": null,
      "tiktok": null,
      "mfa_enabled": false,
      "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "current_time": "5:00 AM - Sunday Mar 22, 2026",
      "push_allowed": false,
      "agents": [
        {
          "id": "799f431d-e894-478a-99db-39309a2fba65",
          "email": "[email protected]",
          "mlsid": "00920130",
          "fax": "(972) 264-4703",
          "full_name": "Gholi Sweet",
          "first_name": "Gholi",
          "last_name": "Sweet",
          "middle_name": null,
          "phone_number": "(972) 264-4703",
          "nar_number": "797500044",
          "office_mui": "15512742",
          "status": "Active",
          "office_mlsid": "RCHT01X",
          "work_phone": "(469) 358-8080",
          "generational_name": null,
          "matrix_unique_id": "155155530",
          "updated_at": 1774173618.846213,
          "deleted_at": null,
          "created_at": 1774173618.846213,
          "mls": "NTREIS",
          "license_number": null,
          "designation": null,
          "nrds": "01053140",
          "type": "agent",
          "office_id": null,
          "secret_questions": [
            "(972) XXX-XX03",
            "jewellxxxxxxxxxxxxxal.net",
            "(469) XXX-XX80"
          ]
        }
      ],
      "last_seen_type": null,
      "active_brand": "8330b77b-aa32-4e17-82c1-88caff9b979e",
      "display_name": "Unit Test",
      "abbreviated_display_name": "Unit",
      "online_state": "Offline",
      "has_password": true
    },
    "brand": {
      "id": "8330b77b-aa32-4e17-82c1-88caff9b979e",
      "created_at": 1774173619.764496,
      "updated_at": 1774173619.764496,
      "palette": {
        "primary": "red",
        "type": "brand_palette"
      },
      "assets": {
        "type": "brand_assets"
      },
      "messages": {
        "type": "brand_messages"
      },
      "parent": {
        "id": "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
        "created_at": 1774173619.709504,
        "updated_at": 1774173619.709504,
        "palette": {
          "primary": "red",
          "type": "brand_palette"
        },
        "assets": {
          "type": "brand_assets"
        },
        "messages": {
          "type": "brand_messages"
        },
        "parent": {
          "id": "9bed9325-baa9-488d-abae-ed186ac83a0d",
          "created_at": 1774173619.024886,
          "updated_at": 1774173619.024886,
          "palette": {
            "primary": "red",
            "type": "brand_palette"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": null,
          "name": "Parent Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": null,
          "type": "brand",
          "hostnames": null,
          "member_count": 1,
          "base_url": "https://irish.rechat.com"
        },
        "name": "Parent Brand",
        "deleted_at": null,
        "training": false,
        "brand_type": "Brokerage",
        "parents": [
          "9bed9325-baa9-488d-abae-ed186ac83a0d"
        ],
        "type": "brand",
        "hostnames": null,
        "member_count": 1,
        "base_url": "https://irish.rechat.com"
      },
      "name": "Child Brand",
      "deleted_at": null,
      "training": false,
      "brand_type": "Brokerage",
      "parents": [
        "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
        "9bed9325-baa9-488d-abae-ed186ac83a0d"
      ],
      "type": "brand",
      "hostnames": null,
      "member_count": 1,
      "base_url": "https://irish.rechat.com"
    },
    "template": "light2",
    "attributes": {
      "biography": "Foo bar",
      "facebook_url": "https://updated_facebook_url",
      "new_attribute": "value"
    },
    "title": "Website Title",
    "template_instance": null,
    "hostnames": [
      "adoring-hofstadter.undefined"
    ],
    "wid": "f3630061-6e54-47f5-8755-de237f835888",
    "ord": "1"
  }
}

Get all user's websites

Get all user's websites
GET/websites

Example URI

GET /websites
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "f3630061-6e54-47f5-8755-de237f835888",
      "type": "website",
      "created_at": 1774173621.049472,
      "updated_at": 1774173621.050044,
      "user": {
        "type": "user",
        "username": null,
        "first_name": "Unit",
        "last_name": "Test",
        "email": "[email protected]",
        "phone_number": "+4368120265807",
        "created_at": 1493115498.770362,
        "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1774173618.747236,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": true,
        "timezone": "America/Chicago",
        "user_type": "Agent",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": false,
        "personal_room": null,
        "brand": null,
        "fake_email": false,
        "features": [
          "Deals"
        ],
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": true,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "current_time": "5:00 AM - Sunday Mar 22, 2026",
        "push_allowed": false,
        "agents": [
          {
            "id": "799f431d-e894-478a-99db-39309a2fba65",
            "email": "[email protected]",
            "mlsid": "00920130",
            "fax": "(972) 264-4703",
            "full_name": "Gholi Sweet",
            "first_name": "Gholi",
            "last_name": "Sweet",
            "middle_name": null,
            "phone_number": "(972) 264-4703",
            "nar_number": "797500044",
            "office_mui": "15512742",
            "status": "Active",
            "office_mlsid": "RCHT01X",
            "work_phone": "(469) 358-8080",
            "generational_name": null,
            "matrix_unique_id": "155155530",
            "updated_at": 1774173618.846213,
            "deleted_at": null,
            "created_at": 1774173618.846213,
            "mls": "NTREIS",
            "license_number": null,
            "designation": null,
            "nrds": "01053140",
            "type": "agent",
            "office_id": null,
            "secret_questions": [
              "(972) XXX-XX03",
              "jewellxxxxxxxxxxxxxal.net",
              "(469) XXX-XX80"
            ]
          }
        ],
        "last_seen_type": null,
        "active_brand": "8330b77b-aa32-4e17-82c1-88caff9b979e",
        "display_name": "Unit Test",
        "abbreviated_display_name": "Unit",
        "online_state": "Offline",
        "has_password": true
      },
      "brand": {
        "id": "8330b77b-aa32-4e17-82c1-88caff9b979e",
        "created_at": 1774173619.764496,
        "updated_at": 1774173619.764496,
        "palette": {
          "primary": "red",
          "type": "brand_palette"
        },
        "assets": {
          "type": "brand_assets"
        },
        "messages": {
          "type": "brand_messages"
        },
        "parent": {
          "id": "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
          "created_at": 1774173619.709504,
          "updated_at": 1774173619.709504,
          "palette": {
            "primary": "red",
            "type": "brand_palette"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": {
            "id": "9bed9325-baa9-488d-abae-ed186ac83a0d",
            "created_at": 1774173619.024886,
            "updated_at": 1774173619.024886,
            "palette": {
              "primary": "red",
              "type": "brand_palette"
            },
            "assets": {
              "type": "brand_assets"
            },
            "messages": {
              "type": "brand_messages"
            },
            "parent": null,
            "name": "Parent Brand",
            "deleted_at": null,
            "training": false,
            "brand_type": "Brokerage",
            "parents": null,
            "type": "brand",
            "hostnames": null,
            "member_count": 1,
            "base_url": "https://irish.rechat.com"
          },
          "name": "Parent Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": [
            "9bed9325-baa9-488d-abae-ed186ac83a0d"
          ],
          "type": "brand",
          "hostnames": null,
          "member_count": 1,
          "base_url": "https://irish.rechat.com"
        },
        "name": "Child Brand",
        "deleted_at": null,
        "training": false,
        "brand_type": "Brokerage",
        "parents": [
          "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
          "9bed9325-baa9-488d-abae-ed186ac83a0d"
        ],
        "type": "brand",
        "hostnames": null,
        "member_count": 1,
        "base_url": "https://irish.rechat.com"
      },
      "template": "light",
      "attributes": {
        "biography": "Foo bar",
        "facebook_url": "http://facebook.com/foo"
      },
      "title": "Website Title",
      "template_instance": {
        "id": "b151d0e2-e2ad-4264-b581-1e6b7666785c",
        "created_at": 1774173618.747236,
        "html": "SOME HTML",
        "file": {
          "id": "4eacc5bd-2998-4f87-a758-37483d2deba5",
          "created_at": 1774173620.961193,
          "updated_at": 1774173620.961193,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "path": "templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
          "name": "image.png",
          "public": true,
          "type": "file",
          "url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
          "preview_url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
          "mime": "image/png"
        },
        "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "branch": "http://mock-branch-url",
        "updated_at": 1774173618.747236,
        "deleted_at": null,
        "type": "template_instance"
      },
      "hostnames": [
        "adoring-hofstadter.undefined"
      ],
      "wid": "f3630061-6e54-47f5-8755-de237f835888",
      "ord": "1"
    }
  ],
  "info": {
    "count": 1,
    "total": 0
  }
}

Get all brand's websites

Get all brand's websites
GET/brand/:brand/websites

Example URI

GET /brand/:brand/websites
URI Parameters
HideShow
brand
string (required) Example: 8330b77b-aa32-4e17-82c1-88caff9b979e
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "f3630061-6e54-47f5-8755-de237f835888",
      "type": "website",
      "created_at": 1774173621.049472,
      "updated_at": 1774173621.050044,
      "user": {
        "type": "user",
        "username": null,
        "first_name": "Unit",
        "last_name": "Test",
        "email": "[email protected]",
        "phone_number": "+4368120265807",
        "created_at": 1493115498.770362,
        "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1774173618.747236,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": true,
        "timezone": "America/Chicago",
        "user_type": "Agent",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": false,
        "personal_room": null,
        "brand": null,
        "fake_email": false,
        "features": [
          "Deals"
        ],
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": true,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "current_time": "5:00 AM - Sunday Mar 22, 2026",
        "push_allowed": false,
        "agents": [
          {
            "id": "799f431d-e894-478a-99db-39309a2fba65",
            "email": "[email protected]",
            "mlsid": "00920130",
            "fax": "(972) 264-4703",
            "full_name": "Gholi Sweet",
            "first_name": "Gholi",
            "last_name": "Sweet",
            "middle_name": null,
            "phone_number": "(972) 264-4703",
            "nar_number": "797500044",
            "office_mui": "15512742",
            "status": "Active",
            "office_mlsid": "RCHT01X",
            "work_phone": "(469) 358-8080",
            "generational_name": null,
            "matrix_unique_id": "155155530",
            "updated_at": 1774173618.846213,
            "deleted_at": null,
            "created_at": 1774173618.846213,
            "mls": "NTREIS",
            "license_number": null,
            "designation": null,
            "nrds": "01053140",
            "type": "agent",
            "office_id": null,
            "secret_questions": [
              "(972) XXX-XX03",
              "jewellxxxxxxxxxxxxxal.net",
              "(469) XXX-XX80"
            ]
          }
        ],
        "last_seen_type": null,
        "active_brand": "8330b77b-aa32-4e17-82c1-88caff9b979e",
        "display_name": "Unit Test",
        "abbreviated_display_name": "Unit",
        "online_state": "Offline",
        "has_password": true
      },
      "brand": {
        "id": "8330b77b-aa32-4e17-82c1-88caff9b979e",
        "created_at": 1774173619.764496,
        "updated_at": 1774173619.764496,
        "palette": {
          "primary": "red",
          "type": "brand_palette"
        },
        "assets": {
          "type": "brand_assets"
        },
        "messages": {
          "type": "brand_messages"
        },
        "parent": {
          "id": "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
          "created_at": 1774173619.709504,
          "updated_at": 1774173619.709504,
          "palette": {
            "primary": "red",
            "type": "brand_palette"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": {
            "id": "9bed9325-baa9-488d-abae-ed186ac83a0d",
            "created_at": 1774173619.024886,
            "updated_at": 1774173619.024886,
            "palette": {
              "primary": "red",
              "type": "brand_palette"
            },
            "assets": {
              "type": "brand_assets"
            },
            "messages": {
              "type": "brand_messages"
            },
            "parent": null,
            "name": "Parent Brand",
            "deleted_at": null,
            "training": false,
            "brand_type": "Brokerage",
            "parents": null,
            "type": "brand",
            "hostnames": null,
            "member_count": 1,
            "base_url": "https://irish.rechat.com"
          },
          "name": "Parent Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": [
            "9bed9325-baa9-488d-abae-ed186ac83a0d"
          ],
          "type": "brand",
          "hostnames": null,
          "member_count": 1,
          "base_url": "https://irish.rechat.com"
        },
        "name": "Child Brand",
        "deleted_at": null,
        "training": false,
        "brand_type": "Brokerage",
        "parents": [
          "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
          "9bed9325-baa9-488d-abae-ed186ac83a0d"
        ],
        "type": "brand",
        "hostnames": null,
        "member_count": 1,
        "base_url": "https://irish.rechat.com"
      },
      "template": "light",
      "attributes": {
        "biography": "Foo bar",
        "facebook_url": "http://facebook.com/foo"
      },
      "title": "Website Title",
      "template_instance": {
        "id": "b151d0e2-e2ad-4264-b581-1e6b7666785c",
        "created_at": 1774173618.747236,
        "html": "SOME HTML",
        "file": {
          "id": "4eacc5bd-2998-4f87-a758-37483d2deba5",
          "created_at": 1774173620.961193,
          "updated_at": 1774173620.961193,
          "deleted_at": null,
          "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
          "path": "templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
          "name": "image.png",
          "public": true,
          "type": "file",
          "url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
          "preview_url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
          "mime": "image/png"
        },
        "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "branch": "http://mock-branch-url",
        "updated_at": 1774173618.747236,
        "deleted_at": null,
        "type": "template_instance"
      },
      "hostnames": [
        "adoring-hofstadter.undefined"
      ],
      "wid": "f3630061-6e54-47f5-8755-de237f835888",
      "ord": "1"
    }
  ],
  "info": {
    "count": 1,
    "total": 1
  }
}

Add hostname to a website

Add hostname to a website
POST/websites/:id/hostnames

Example URI

POST /websites/:id/hostnames
URI Parameters
HideShow
id
string (required) Example: f3630061-6e54-47f5-8755-de237f835888
Request
HideShow
Body
{
  "hostname": "localsite",
  "is_default": true,
  "website": "f3630061-6e54-47f5-8755-de237f835888"
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "f3630061-6e54-47f5-8755-de237f835888",
    "type": "website",
    "created_at": 1774173621.049472,
    "updated_at": 1774173621.050044,
    "user": {
      "type": "user",
      "username": null,
      "first_name": "Unit",
      "last_name": "Test",
      "email": "[email protected]",
      "phone_number": "+4368120265807",
      "created_at": 1493115498.770362,
      "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "address_id": null,
      "cover_image_url": null,
      "profile_image_url": null,
      "updated_at": 1774173618.747236,
      "user_status": "Active",
      "profile_image_thumbnail_url": null,
      "cover_image_thumbnail_url": null,
      "email_confirmed": true,
      "timezone": "America/Chicago",
      "user_type": "Agent",
      "deleted_at": null,
      "phone_confirmed": false,
      "is_shadow": false,
      "personal_room": null,
      "brand": null,
      "fake_email": false,
      "features": [
        "Deals"
      ],
      "last_seen_at": null,
      "email_signature": null,
      "daily_enabled": true,
      "email_quota": 30000,
      "website": null,
      "instagram": null,
      "twitter": null,
      "linkedin": null,
      "youtube": null,
      "facebook": null,
      "designation": null,
      "tiktok": null,
      "mfa_enabled": false,
      "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "current_time": "5:00 AM - Sunday Mar 22, 2026",
      "push_allowed": false,
      "agents": [
        {
          "id": "799f431d-e894-478a-99db-39309a2fba65",
          "email": "[email protected]",
          "mlsid": "00920130",
          "fax": "(972) 264-4703",
          "full_name": "Gholi Sweet",
          "first_name": "Gholi",
          "last_name": "Sweet",
          "middle_name": null,
          "phone_number": "(972) 264-4703",
          "nar_number": "797500044",
          "office_mui": "15512742",
          "status": "Active",
          "office_mlsid": "RCHT01X",
          "work_phone": "(469) 358-8080",
          "generational_name": null,
          "matrix_unique_id": "155155530",
          "updated_at": 1774173618.846213,
          "deleted_at": null,
          "created_at": 1774173618.846213,
          "mls": "NTREIS",
          "license_number": null,
          "designation": null,
          "nrds": "01053140",
          "type": "agent",
          "office_id": null,
          "secret_questions": [
            "(972) XXX-XX03",
            "jewellxxxxxxxxxxxxxal.net",
            "(469) XXX-XX80"
          ]
        }
      ],
      "last_seen_type": null,
      "active_brand": "8330b77b-aa32-4e17-82c1-88caff9b979e",
      "display_name": "Unit Test",
      "abbreviated_display_name": "Unit",
      "online_state": "Offline",
      "has_password": true
    },
    "brand": {
      "id": "8330b77b-aa32-4e17-82c1-88caff9b979e",
      "created_at": 1774173619.764496,
      "updated_at": 1774173619.764496,
      "palette": {
        "primary": "red",
        "type": "brand_palette"
      },
      "assets": {
        "type": "brand_assets"
      },
      "messages": {
        "type": "brand_messages"
      },
      "parent": {
        "id": "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
        "created_at": 1774173619.709504,
        "updated_at": 1774173619.709504,
        "palette": {
          "primary": "red",
          "type": "brand_palette"
        },
        "assets": {
          "type": "brand_assets"
        },
        "messages": {
          "type": "brand_messages"
        },
        "parent": {
          "id": "9bed9325-baa9-488d-abae-ed186ac83a0d",
          "created_at": 1774173619.024886,
          "updated_at": 1774173619.024886,
          "palette": {
            "primary": "red",
            "type": "brand_palette"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": null,
          "name": "Parent Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": null,
          "type": "brand",
          "hostnames": null,
          "member_count": 1,
          "base_url": "https://irish.rechat.com"
        },
        "name": "Parent Brand",
        "deleted_at": null,
        "training": false,
        "brand_type": "Brokerage",
        "parents": [
          "9bed9325-baa9-488d-abae-ed186ac83a0d"
        ],
        "type": "brand",
        "hostnames": null,
        "member_count": 1,
        "base_url": "https://irish.rechat.com"
      },
      "name": "Child Brand",
      "deleted_at": null,
      "training": false,
      "brand_type": "Brokerage",
      "parents": [
        "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
        "9bed9325-baa9-488d-abae-ed186ac83a0d"
      ],
      "type": "brand",
      "hostnames": null,
      "member_count": 1,
      "base_url": "https://irish.rechat.com"
    },
    "template": "light",
    "attributes": {
      "biography": "Foo bar",
      "facebook_url": "http://facebook.com/foo"
    },
    "title": "Website Title",
    "template_instance": {
      "id": "b151d0e2-e2ad-4264-b581-1e6b7666785c",
      "created_at": 1774173618.747236,
      "html": "SOME HTML",
      "file": {
        "id": "4eacc5bd-2998-4f87-a758-37483d2deba5",
        "created_at": 1774173620.961193,
        "updated_at": 1774173620.961193,
        "deleted_at": null,
        "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "path": "templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "name": "image.png",
        "public": true,
        "type": "file",
        "url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "preview_url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "mime": "image/png"
      },
      "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "branch": "http://mock-branch-url",
      "updated_at": 1774173618.747236,
      "deleted_at": null,
      "type": "template_instance"
    },
    "hostnames": [
      "localsite",
      "adoring-hofstadter.undefined"
    ],
    "wid": "f3630061-6e54-47f5-8755-de237f835888",
    "ord": "1"
  }
}

Delete hostname from a website

Delete hostname from a website
DELETE/websites/:id/hostnames?hostname=:hostname

Example URI

DELETE /websites/:id/hostnames?hostname=:hostname
URI Parameters
HideShow
id
string (required) Example: f3630061-6e54-47f5-8755-de237f835888
hostname
string (required) Example: localsite
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "f3630061-6e54-47f5-8755-de237f835888",
    "type": "website",
    "created_at": 1774173621.049472,
    "updated_at": 1774173621.050044,
    "user": {
      "type": "user",
      "username": null,
      "first_name": "Unit",
      "last_name": "Test",
      "email": "[email protected]",
      "phone_number": "+4368120265807",
      "created_at": 1493115498.770362,
      "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "address_id": null,
      "cover_image_url": null,
      "profile_image_url": null,
      "updated_at": 1774173618.747236,
      "user_status": "Active",
      "profile_image_thumbnail_url": null,
      "cover_image_thumbnail_url": null,
      "email_confirmed": true,
      "timezone": "America/Chicago",
      "user_type": "Agent",
      "deleted_at": null,
      "phone_confirmed": false,
      "is_shadow": false,
      "personal_room": null,
      "brand": null,
      "fake_email": false,
      "features": [
        "Deals"
      ],
      "last_seen_at": null,
      "email_signature": null,
      "daily_enabled": true,
      "email_quota": 30000,
      "website": null,
      "instagram": null,
      "twitter": null,
      "linkedin": null,
      "youtube": null,
      "facebook": null,
      "designation": null,
      "tiktok": null,
      "mfa_enabled": false,
      "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "current_time": "5:00 AM - Sunday Mar 22, 2026",
      "push_allowed": false,
      "agents": [
        {
          "id": "799f431d-e894-478a-99db-39309a2fba65",
          "email": "[email protected]",
          "mlsid": "00920130",
          "fax": "(972) 264-4703",
          "full_name": "Gholi Sweet",
          "first_name": "Gholi",
          "last_name": "Sweet",
          "middle_name": null,
          "phone_number": "(972) 264-4703",
          "nar_number": "797500044",
          "office_mui": "15512742",
          "status": "Active",
          "office_mlsid": "RCHT01X",
          "work_phone": "(469) 358-8080",
          "generational_name": null,
          "matrix_unique_id": "155155530",
          "updated_at": 1774173618.846213,
          "deleted_at": null,
          "created_at": 1774173618.846213,
          "mls": "NTREIS",
          "license_number": null,
          "designation": null,
          "nrds": "01053140",
          "type": "agent",
          "office_id": null,
          "secret_questions": [
            "(972) XXX-XX03",
            "jewellxxxxxxxxxxxxxal.net",
            "(469) XXX-XX80"
          ]
        }
      ],
      "last_seen_type": null,
      "active_brand": "8330b77b-aa32-4e17-82c1-88caff9b979e",
      "display_name": "Unit Test",
      "abbreviated_display_name": "Unit",
      "online_state": "Offline",
      "has_password": true
    },
    "brand": {
      "id": "8330b77b-aa32-4e17-82c1-88caff9b979e",
      "created_at": 1774173619.764496,
      "updated_at": 1774173619.764496,
      "palette": {
        "primary": "red",
        "type": "brand_palette"
      },
      "assets": {
        "type": "brand_assets"
      },
      "messages": {
        "type": "brand_messages"
      },
      "parent": {
        "id": "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
        "created_at": 1774173619.709504,
        "updated_at": 1774173619.709504,
        "palette": {
          "primary": "red",
          "type": "brand_palette"
        },
        "assets": {
          "type": "brand_assets"
        },
        "messages": {
          "type": "brand_messages"
        },
        "parent": {
          "id": "9bed9325-baa9-488d-abae-ed186ac83a0d",
          "created_at": 1774173619.024886,
          "updated_at": 1774173619.024886,
          "palette": {
            "primary": "red",
            "type": "brand_palette"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": null,
          "name": "Parent Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": null,
          "type": "brand",
          "hostnames": null,
          "member_count": 1,
          "base_url": "https://irish.rechat.com"
        },
        "name": "Parent Brand",
        "deleted_at": null,
        "training": false,
        "brand_type": "Brokerage",
        "parents": [
          "9bed9325-baa9-488d-abae-ed186ac83a0d"
        ],
        "type": "brand",
        "hostnames": null,
        "member_count": 1,
        "base_url": "https://irish.rechat.com"
      },
      "name": "Child Brand",
      "deleted_at": null,
      "training": false,
      "brand_type": "Brokerage",
      "parents": [
        "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
        "9bed9325-baa9-488d-abae-ed186ac83a0d"
      ],
      "type": "brand",
      "hostnames": null,
      "member_count": 1,
      "base_url": "https://irish.rechat.com"
    },
    "template": "light",
    "attributes": {
      "biography": "Foo bar",
      "facebook_url": "http://facebook.com/foo"
    },
    "title": "Website Title",
    "template_instance": {
      "id": "b151d0e2-e2ad-4264-b581-1e6b7666785c",
      "created_at": 1774173618.747236,
      "html": "SOME HTML",
      "file": {
        "id": "4eacc5bd-2998-4f87-a758-37483d2deba5",
        "created_at": 1774173620.961193,
        "updated_at": 1774173620.961193,
        "deleted_at": null,
        "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "path": "templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "name": "image.png",
        "public": true,
        "type": "file",
        "url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "preview_url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "mime": "image/png"
      },
      "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "branch": "http://mock-branch-url",
      "updated_at": 1774173618.747236,
      "deleted_at": null,
      "type": "template_instance"
    },
    "hostnames": [
      "adoring-hofstadter.undefined"
    ],
    "wid": "f3630061-6e54-47f5-8755-de237f835888",
    "ord": "1"
  }
}

Delete a website

Delete a website
DELETE/websites/:id

Example URI

DELETE /websites/:id
URI Parameters
HideShow
id
string (required) Example: f3630061-6e54-47f5-8755-de237f835888
Request
HideShow
Body
{
  "user": "80a227b2-29a0-11e7-b636-e4a7a08e15d4"
}
Response  204

Find a website by its hostname

Find a website by its hostname
GET/websites/search?hostname=:hostname

Example URI

GET /websites/search?hostname=:hostname
URI Parameters
HideShow
hostname
string (required) Example: localsite
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "f3630061-6e54-47f5-8755-de237f835888",
    "type": "website",
    "created_at": 1774173621.049472,
    "updated_at": 1774173621.050044,
    "user": {
      "type": "user",
      "username": null,
      "first_name": "Unit",
      "last_name": "Test",
      "email": "[email protected]",
      "phone_number": "+4368120265807",
      "created_at": 1493115498.770362,
      "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "address_id": null,
      "cover_image_url": null,
      "profile_image_url": null,
      "updated_at": 1774173618.747236,
      "user_status": "Active",
      "profile_image_thumbnail_url": null,
      "cover_image_thumbnail_url": null,
      "email_confirmed": true,
      "timezone": "America/Chicago",
      "user_type": "Agent",
      "deleted_at": null,
      "phone_confirmed": false,
      "is_shadow": false,
      "personal_room": null,
      "brand": null,
      "fake_email": false,
      "features": [
        "Deals"
      ],
      "last_seen_at": null,
      "email_signature": null,
      "daily_enabled": true,
      "email_quota": 30000,
      "website": null,
      "instagram": null,
      "twitter": null,
      "linkedin": null,
      "youtube": null,
      "facebook": null,
      "designation": null,
      "tiktok": null,
      "mfa_enabled": false,
      "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "current_time": "5:00 AM - Sunday Mar 22, 2026",
      "push_allowed": false,
      "agents": [
        {
          "id": "799f431d-e894-478a-99db-39309a2fba65",
          "email": "[email protected]",
          "mlsid": "00920130",
          "fax": "(972) 264-4703",
          "full_name": "Gholi Sweet",
          "first_name": "Gholi",
          "last_name": "Sweet",
          "middle_name": null,
          "phone_number": "(972) 264-4703",
          "nar_number": "797500044",
          "office_mui": "15512742",
          "status": "Active",
          "office_mlsid": "RCHT01X",
          "work_phone": "(469) 358-8080",
          "generational_name": null,
          "matrix_unique_id": "155155530",
          "updated_at": 1774173618.846213,
          "deleted_at": null,
          "created_at": 1774173618.846213,
          "mls": "NTREIS",
          "license_number": null,
          "designation": null,
          "nrds": "01053140",
          "type": "agent",
          "office_id": null,
          "secret_questions": [
            "(972) XXX-XX03",
            "jewellxxxxxxxxxxxxxal.net",
            "(469) XXX-XX80"
          ]
        }
      ],
      "last_seen_type": null,
      "active_brand": "8330b77b-aa32-4e17-82c1-88caff9b979e",
      "display_name": "Unit Test",
      "abbreviated_display_name": "Unit",
      "online_state": "Offline",
      "has_password": true
    },
    "brand": {
      "id": "8330b77b-aa32-4e17-82c1-88caff9b979e",
      "created_at": 1774173619.764496,
      "updated_at": 1774173619.764496,
      "palette": {
        "primary": "red",
        "type": "brand_palette"
      },
      "assets": {
        "type": "brand_assets"
      },
      "messages": {
        "type": "brand_messages"
      },
      "parent": {
        "id": "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
        "created_at": 1774173619.709504,
        "updated_at": 1774173619.709504,
        "palette": {
          "primary": "red",
          "type": "brand_palette"
        },
        "assets": {
          "type": "brand_assets"
        },
        "messages": {
          "type": "brand_messages"
        },
        "parent": {
          "id": "9bed9325-baa9-488d-abae-ed186ac83a0d",
          "created_at": 1774173619.024886,
          "updated_at": 1774173619.024886,
          "palette": {
            "primary": "red",
            "type": "brand_palette"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": null,
          "name": "Parent Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": null,
          "type": "brand",
          "hostnames": null,
          "member_count": 1,
          "base_url": "https://irish.rechat.com"
        },
        "name": "Parent Brand",
        "deleted_at": null,
        "training": false,
        "brand_type": "Brokerage",
        "parents": [
          "9bed9325-baa9-488d-abae-ed186ac83a0d"
        ],
        "type": "brand",
        "hostnames": null,
        "member_count": 1,
        "base_url": "https://irish.rechat.com"
      },
      "name": "Child Brand",
      "deleted_at": null,
      "training": false,
      "brand_type": "Brokerage",
      "parents": [
        "4aff4ecc-10fd-4e3d-8da2-cadcfe3b23cd",
        "9bed9325-baa9-488d-abae-ed186ac83a0d"
      ],
      "type": "brand",
      "hostnames": null,
      "member_count": 1,
      "base_url": "https://irish.rechat.com"
    },
    "template": "light",
    "attributes": {
      "biography": "Foo bar",
      "facebook_url": "http://facebook.com/foo"
    },
    "title": "Website Title",
    "template_instance": {
      "id": "b151d0e2-e2ad-4264-b581-1e6b7666785c",
      "created_at": 1774173618.747236,
      "html": "SOME HTML",
      "file": {
        "id": "4eacc5bd-2998-4f87-a758-37483d2deba5",
        "created_at": 1774173620.961193,
        "updated_at": 1774173620.961193,
        "deleted_at": null,
        "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "path": "templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "name": "image.png",
        "public": true,
        "type": "file",
        "url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "preview_url": "https://test.cloudfront.net/templates/instances/eff9bfe0-25d5-11f1-83ca-c9fd0d26db3c.png",
        "mime": "image/png"
      },
      "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "branch": "http://mock-branch-url",
      "updated_at": 1774173618.747236,
      "deleted_at": null,
      "type": "template_instance"
    },
    "hostnames": [
      "localsite",
      "adoring-hofstadter.undefined"
    ],
    "wid": "f3630061-6e54-47f5-8755-de237f835888",
    "ord": "1"
  }
}

Generated by aglio on 22 Mar 2026